package com.ynet.life.sujrb.controller;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.life.base.LifeStandard;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/* loaded from: com_ynet_life_sujrb_controller.jar:com/ynet/life/sujrb/controller/JRBEstablishSessionNoVcController.class */
public class JRBEstablishSessionNoVcController extends JRBLifeEstablishSessionController {
    private static final String PARAM_USER_TYPE = "userType";
    private static final String PARAM_CHECK_CODE_NAME = "checkCode";
    private static final String PARAM_SESSION_OBJECT_NAME = "verifyObj";
    private static final String PARAM_SESSION_VERIFY_OBJECT_TIME = "session_verifyObjTime";
    long verifyObjTimeOut = 120000;

    @Override // com.ynet.life.sujrb.controller.JRBLifeEstablishSessionController
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        String actionId = (String) request.getAttribute(GENEConstance.ATTR_ACTIONID);
        if ("true".equals(productMode) && !actionId.equals("signInForMobile")) {
            canPassTimeOut(request);
            canPass(request);
        }
        return super.doRequest(request, response);
    }

    private boolean canPassTimeOut(HttpServletRequest request) {
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        if (!"true".equals(productMode)) {
            return true;
        }
        HttpSession cSession = request.getSession();
        Long session_verifyObjTime = (Long) cSession.getAttribute(PARAM_SESSION_VERIFY_OBJECT_TIME);
        long currentTime = System.currentTimeMillis();
        if (session_verifyObjTime == null) {
            return false;
        }
        boolean isTimeout = currentTime - session_verifyObjTime.longValue() < this.verifyObjTimeOut;
        cSession.removeAttribute(PARAM_SESSION_VERIFY_OBJECT_TIME);
        return isTimeout;
    }

    private boolean canPass(HttpServletRequest request) {
        String productMode = LifeStandard.getBankSettingsValue("productMode");
        if (!"true".equals(productMode)) {
            return true;
        }
        String verifyCode = request.getParameter(PARAM_CHECK_CODE_NAME);
        HttpSession cSession = request.getSession();
        String verifyStr = (String) cSession.getAttribute(PARAM_SESSION_OBJECT_NAME);
        cSession.removeAttribute(PARAM_SESSION_OBJECT_NAME);
        if (verifyStr != null && verifyCode != null && verifyCode.equalsIgnoreCase(verifyStr)) {
            return true;
        }
        return false;
    }

    @Override // com.ynet.life.sujrb.controller.JRBLifeEstablishSessionController
    protected void setSessionTimeout(Session session, Context sessionContext) {
        String userTimeout = (String) sessionContext.get("session_timeout");
        if (userTimeout != null && userTimeout.length() > 0) {
            Long timeout = new Long(userTimeout);
            session.setAttribute("sessionTimeout", timeout);
        }
    }
}
